Update a Project
Partial Update an Project
This endpoint allows you to perform a partial update on a Project.
Value must be either 't' for transferable or 'n' for non-transferable
NFT ID
Description stored in the metadata
This is my first NFTImage URL for your NFT
https://example.com/image.pngAnimation URL for your NFT
https://example.com/animation.mp4Returns an Updated Project
Name stored as on-chain metadata
NFT #1Symbol stored as on-chain metadata
NFTDescription stored in the metadata
This is my first NFTImage URL for your NFT
https://example.com/image.pngAnimation URL for your NFT
https://example.com/animation.mp4Unique ID for a Project
Address for the NFT's or token's mint account
EBeLw5jEdrEgDe17BdKGW2MizzGxtxigEuAGvYC7VzDpPattern: ^[A-HJ-NP-Za-km-z1-9]*$Whether or not the NFTs in this project can be transferred
Unauthorized
Forbidden
Not Found
PATCH /v2/projects/:transferable/:projectId HTTP/1.1
Host: api.underdogprotocol.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 181
{
"description": "This is my first NFT",
"image": "https://example.com/image.png",
"attributes": {
"Points": "40000",
"Nickname": "LeGoat"
},
"animationUrl": "https://example.com/animation.mp4"
}{
"name": "NFT #1",
"symbol": "NFT",
"description": "This is my first NFT",
"image": "https://example.com/image.png",
"animationUrl": "https://example.com/animation.mp4",
"id": 1,
"mintAddress": "EBeLw5jEdrEgDe17BdKGW2MizzGxtxigEuAGvYC7VzDp",
"transferable": true,
"status": "text"
}Example
Update a Project
This endpoint allows you to perform an update on a Project.
Value must be either 't' for transferable or 'n' for non-transferable
Description stored in the metadata
This is my first NFTImage URL for your NFT
https://example.com/image.pngAnimation URL for your NFT
https://example.com/animation.mp4Returns an Updated Project
Name stored as on-chain metadata
NFT #1Symbol stored as on-chain metadata
NFTDescription stored in the metadata
This is my first NFTImage URL for your NFT
https://example.com/image.pngAnimation URL for your NFT
https://example.com/animation.mp4Unique ID for a Project
Address for the NFT's or token's mint account
EBeLw5jEdrEgDe17BdKGW2MizzGxtxigEuAGvYC7VzDpPattern: ^[A-HJ-NP-Za-km-z1-9]*$Whether or not the NFTs in this project can be transferred
Unauthorized
Forbidden
Not Found
PUT /v2/projects/:transferable/:projectId HTTP/1.1
Host: api.underdogprotocol.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 129
{
"description": "This is my first NFT",
"image": "https://example.com/image.png",
"animationUrl": "https://example.com/animation.mp4"
}{
"name": "NFT #1",
"symbol": "NFT",
"description": "This is my first NFT",
"image": "https://example.com/image.png",
"animationUrl": "https://example.com/animation.mp4",
"id": 1,
"mintAddress": "EBeLw5jEdrEgDe17BdKGW2MizzGxtxigEuAGvYC7VzDp",
"transferable": true,
"status": "text"
}Example
Update Name & Symbol
Update Project Name
This endpoint allows you to update the on-chain name for a Project.
Value must be either 't' for transferable or 'n' for non-transferable
Name stored as on-chain metadata
NFT #1Transaction ID that identifies the Transaction generated by an API request
Unique ID for a Project
Whether or not the NFTs in this project can be transferred
Address for the NFT's or token's mint account
EBeLw5jEdrEgDe17BdKGW2MizzGxtxigEuAGvYC7VzDpPattern: ^[A-HJ-NP-Za-km-z1-9]*$Unauthorized
Forbidden
Not Found
PUT /v2/projects/:transferable/:projectId/name HTTP/1.1
Host: api.underdogprotocol.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 17
{
"name": "NFT #1"
}{
"transactionId": "text",
"projectId": 1,
"transferable": true,
"mintAddress": "EBeLw5jEdrEgDe17BdKGW2MizzGxtxigEuAGvYC7VzDp"
}Example
Update Project Symbol
This endpoint allows you to update the on-chain symbol for a Project.
Value must be either 't' for transferable or 'n' for non-transferable
Symbol stored as on-chain metadata
NFTTransaction ID that identifies the Transaction generated by an API request
Unique ID for a Project
Whether or not the NFTs in this project can be transferred
Address for the NFT's or token's mint account
EBeLw5jEdrEgDe17BdKGW2MizzGxtxigEuAGvYC7VzDpPattern: ^[A-HJ-NP-Za-km-z1-9]*$Unauthorized
Forbidden
Not Found
PUT /v2/projects/:transferable/:projectId/symbol HTTP/1.1
Host: api.underdogprotocol.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 16
{
"symbol": "NFT"
}{
"transactionId": "text",
"projectId": 1,
"transferable": true,
"mintAddress": "EBeLw5jEdrEgDe17BdKGW2MizzGxtxigEuAGvYC7VzDp"
}Example
Last updated